<div class="modal-header padding-10">
  <span class="modal-title font-weight-bold">
    <span *ngIf="!isEdit">Create</span>
    <span *ngIf="isEdit">Update</span>
    Doctor
  </span>
</div>
<div class="modal-body padding-10" style="max-height: 400px; overflow-y: auto; overflow-x: hidden">
  <div class="row">
    <div class="col-sm">
      <form class="form-horizontal"
            novalidate
            (keyup.enter)="save()"
            [formGroup]="doctorGroup">
        <div class="form-group">
          <div class="text-center padding-10">
            <span *ngIf="!imageControl.value" (click)="changeImage()" ngbTooltip="Add Image"
                  placement="right"
                  class="cursor fa-border fa fa-5x fas fa-image">
                        </span>
            <img width="110" *ngIf="imageControl.value" (click)="changeImage()"
                 placement="right"
                 ngbTooltip="Change Image"
                 [src]="imageControl.value" class="cursor img-fluid img-thumbnail" alt="Company Image">
            <input id="fileToUpload2" class="form-control" required type="file"
                   (change)="onFileAdded($event)" hidden accept="image/*"/>
            <br>
            <label class="font-weight-bold">Image *</label>
          </div>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Name *</label>
          <input type="text"
                 autocomplete="off"
                 class="form-control"
                 placeholder="Enter Name"
                 [formControl]="nameControl"
                 required>
          <app-form-error [fieldName]="'Name'" [control]="nameControl"></app-form-error>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Email *</label>
          <input type="email"
                 autocomplete="off"
                 class="form-control"
                 placeholder="Enter Email"
                 [formControl]="emailControl"
                 required>
          <app-form-error [fieldName]="'Email'" [control]="emailControl"></app-form-error>
        </div>
        <div class="form-group" *ngIf="!isEdit">
          <label class="font-weight-bold">Password *</label>
          <input type="password"
                 autocomplete="off"
                 class="form-control"
                 placeholder="Enter Password"
                 [formControl]="passwordControl"
                 required>
          <app-form-error [fieldName]="'Password'" [control]="passwordControl"></app-form-error>
        </div>
      </form>
    </div>
  </div>
</div>
<div class="modal-footer padding-10">
  <!--  <button class="btn btn-danger btn-round btn-md" (click)="reject()">Reject-->
  <!--  </button>-->
  <button class="btn btn-primary btn-round btn-md" [disabled]="doctorGroup.invalid || isLoading" (click)="save()">
    <span *ngIf="isEdit">Update</span>
    <span *ngIf="!isEdit">Save</span>
  </button>
  &nbsp;
  <button class="btn btn-neutral" (click)="close()">Close</button>
</div>
